Last Comment Bug 691721 - Potential memory leak in DevTools test
: Potential memory leak in DevTools test
Status: RESOLVED FIXED
[styleinspector][fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: x86 All
: -- normal (vote)
: Firefox 10
Assigned To: Michael Ratcliffe PTO -> Fri, 24 Jun 2016 [:miker] [:mratcliffe]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-04 04:15 PDT by Michael Ratcliffe PTO -> Fri, 24 Jun 2016 [:miker] [:mratcliffe]
Modified: 2011-10-11 12:59 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Potential Memory Leak Patch (1.01 KB, patch)
2011-10-04 04:28 PDT, Michael Ratcliffe PTO -> Fri, 24 Jun 2016 [:miker] [:mratcliffe]
mihai.sucan: review+
Details | Diff | Review

Description Michael Ratcliffe PTO -> Fri, 24 Jun 2016 [:miker] [:mratcliffe] 2011-10-04 04:15:31 PDT
In browser/devtools/styleinspector/test/browser/browser_bug683672.js we add an event listener:
browser.addEventListener("load", tabLoaded, true);

It is never removed and could potentially cause a memory leak (not sure how the test passes). This was copied from other tests so we should go through at least all of out DevTools tests and ensure that the listener is removed.
Comment 1 Michael Ratcliffe PTO -> Fri, 24 Jun 2016 [:miker] [:mratcliffe] 2011-10-04 04:28:20 PDT
Created attachment 564514 [details] [diff] [review]
Potential Memory Leak Patch

Only one test had that issue.
Comment 2 Mihai Sucan [:msucan] 2011-10-05 10:54:35 PDT
Comment on attachment 564514 [details] [diff] [review]
Potential Memory Leak Patch

Review of attachment 564514 [details] [diff] [review]:
-----------------------------------------------------------------

Patch looks good. Thanks!
Comment 3 Rob Campbell [:rc] (:robcee) 2011-10-11 06:27:25 PDT
https://hg.mozilla.org/integration/fx-team/rev/43611c125310
Comment 4 Rob Campbell [:rc] (:robcee) 2011-10-11 12:59:01 PDT
https://hg.mozilla.org/mozilla-central/rev/43611c125310

Note You need to log in before you can comment on or make changes to this bug.